Bug 800106 - korganizer reminder daemon suffers from amnesia after power off
korganizer reminder daemon suffers from amnesia after power off
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
16
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-4.8
  Show dependency treegraph
 
Reported: 2012-03-05 13:39 EST by Peter Gückel
Modified: 2012-06-13 09:21 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-13 09:21:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 295396 None None None Never

  None (edit)
Description Peter Gückel 2012-03-05 13:39:11 EST
Description of problem:
When one defers reminders and subsequently turns off the computer, the reminders are forgotten when the computer is turned back on.

Version-Release number of selected component (if applicable):
kdepim-4.8.0-1.fc16.x86_64

How reproducible:
Wait for a reminder to occur, then defer it to a later time. Turn off the computer and restart it sometime later. The reminder will never recur: it is forgotten.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
This used to work in 4.7, but in 4.8 it no longer worked. I never mentioned it, as 4.8 was under development and this seemed somewhat trivial, but now that kde has advanced to 4.8, this should be working properly, as it used to.
Comment 1 Rex Dieter 2012-03-05 13:44:39 EST
Interesting, bug upstream if you get a chance.
Comment 2 Rex Dieter 2012-03-05 13:45:17 EST
And/or re-test against 4.8.1 coming to -testing repos hopefully this week.
Comment 3 Kevin Kofler 2012-03-05 15:34:41 EST
> This used to work in 4.7, but in 4.8 it no longer worked. I never mentioned it,
> as 4.8 was under development and this seemed somewhat trivial

Such regressions should always be reported IMMEDIATELY. Now:
* upstream already tagged 4.8.1, and this is not going to be a release blocker for upstream, so any upstream fix can go into 4.8.2 at the earliest.
* we are preparing to push 4.8.1 to Fedora 16 and so this regression might end up reaching the stable updates soon. (We cannot wait forever for someone to maybe, some time, report a regression.)

It is really too late to report regressions now. Next time please report them when there's still time to fix them!
Comment 4 Kevin Kofler 2012-03-05 15:44:43 EST
Oh, and have you already filed this at https://bugs.kde.org/ ? If not, please do so NOW! (Upstream can only fix what they know about.)
Comment 5 Peter Gückel 2012-03-05 20:27:05 EST
OK, guys. I files a bug report upstream. Sorry I didn't mention it earlier. I thought with all of the active development going on and all of the alpha and beta prereleases, etc, it would be nitpicking to worry about this.
Comment 6 Kevin Kofler 2012-03-06 02:09:54 EST
Can we please have the link to the upstream report?
Comment 7 Peter Gückel 2012-03-06 11:42:55 EST
(In reply to comment #6)
> Can we please have the link to the upstream report?

https://bugs.kde.org/show_bug.cgi?id=295396
Comment 8 Rex Dieter 2012-03-06 11:55:29 EST
thanks.
Comment 9 Rex Dieter 2012-06-13 09:21:41 EDT
We'll continue to track this upstream.

Note You need to log in before you can comment on or make changes to this bug.